petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPCGSetRadius

Sets the radius of the trust region.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPCGSetRadius(KSP ksp, PetscReal radius)

Logically Collective on KSP

### Input Parameters

| ksp | - the iterative context
| radius | - the trust region radius (Infinity is the default)

### Keywords

set, trust region radius

### See Also

KSP, KSPCG, KSPNASH, KSPSTCG, KSPGLTR

### Level

advanced

### Location

src/ksp/ksp/impls/cg/cgtype.c

### Implementations

KSPCGSetRadius_GLTR in src/ksp/ksp/impls/cg/gltr/gltr.c
KSPCGSetRadius_NASH in src/ksp/ksp/impls/cg/nash/nash.c
KSPCGSetRadius_STCG in src/ksp/ksp/impls/cg/stcg/stcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages